package com.cntaiping.intserv.datasync.bmodel;

import java.io.Serializable;
import java.util.Date;

/**
 * 消息视图
 * 
 * @createTime 2013-9-23
 * @author ZhangYongJie
 * 
 * 
 */

public class EisNoticeBO implements Serializable {

	private static final long serialVersionUID = 1551499821377837529L;
	private Long noticeId;// 广播消息ID
	private Long noticeCate;// 消息类别
	private Long noticeSource;// 目标平台编码 个险124
	private String noticeTitle;// 消息主题
	private String noticeContent;// 消息内容
	private String noticeDesc;// 消息说明
	private Date bgnTime;// 广播开始时间
	private Date endTime;// 广播结束时间
	private String sendUser;// 发送人员
	private Date sendTime;// 发送时间
	private Long recvOrgan;// 接收机构
	private Long recvBranch;// 接收下属机构
	private Long recvChannel;// 接收渠道
	private String recvUser;// 接收人员
	private Date recvTime;// 接收时间
	private String remark;//备份	
	private String operateType;//请求类型 1-新建;2-撤销;3-阅读
	private String rawSeqId;//发送流水
	private String sendUserCate;//发送人类型 104-太平人寿个险代理人、内勤
	private String recvUserCate;//接收人类型 104-太平人寿个险代理人、内勤
	private Date scheduleSendTime;//指定接收时间
	private String sendUserName;
	private String recvUserName;
	private Long batchNo;//消息批次号

	private Long msgId;//短信Id
	private Date msgScheduleTime;  //指定短信提示时间
	private String mp;  //接收人员手机号码
	private Long sendStatus;//短信状态  0：待发送   1：已发送   2：撤销
	private Date createTime;//创建日期
	private String orgId;//发送发机构Id
	private Date msgSendTime; //短信发送时间 
	
	private String noticeFavorite;// 消息收藏
	
	private String noticeTitleDesc;//消息标题说明
	private String isHaveDetails;//是否有详情
	private String isNeedInform;//是否需要通知
	private String muid;// 用户消息唯一识别码
	private String isNeedUpdate;// 是否需要更新 0/ null-不需要跟新，1-需要更新
	private String notificationType;//前端通知类型,null-默认通知栏提醒 1-通知栏提醒，2-APP内部弹窗提醒，3-通知栏提醒+APP内部弹窗提醒

	public String getNotificationType() {
		return notificationType;
	}

	public void setNotificationType(String notificationType) {
		this.notificationType = notificationType;
	}

	public String getIsNeedUpdate() {
		return isNeedUpdate;
	}

	public void setIsNeedUpdate(String isNeedUpdate) {
		this.isNeedUpdate = isNeedUpdate;
	}

	public String getMuid() {
		return muid;
	}

	public void setMuid(String muid) {
		this.muid = muid;
	}

	public String getIsNeedInform() {
		return isNeedInform;
	}

	public void setIsNeedInform(String isNeedInform) {
		this.isNeedInform = isNeedInform;
	}

	public String getIsHaveDetails() {
		return isHaveDetails;
	}

	public void setIsHaveDetails(String isHaveDetails) {
		this.isHaveDetails = isHaveDetails;
	}

	public String getNoticeTitleDesc() {
		return noticeTitleDesc;
	}

	public void setNoticeTitleDesc(String noticeTitleDesc) {
		this.noticeTitleDesc = noticeTitleDesc;
	}
	
	public String getNoticeFavorite() {
		return noticeFavorite;
	}

	public void setNoticeFavorite(String noticeFavorite) {
		this.noticeFavorite = noticeFavorite;
	}
	
	private String sms;//短信内容
	
	public Date getMsgSendTime() {
		return msgSendTime;
	}

	public void setMsgSendTime(Date msgSendTime) {
		this.msgSendTime = msgSendTime;
	}


	public String getSms() {
		return sms;
	}


	public void setSms(String sms) {
		this.sms = sms;
	}


	public Long getMsgId() {
		return msgId;
	}


	public void setMsgId(Long msgId) {
		this.msgId = msgId;
	}


	public Date getMsgScheduleTime() {
		return msgScheduleTime;
	}


	public void setMsgScheduleTime(Date msgScheduleTime) {
		this.msgScheduleTime = msgScheduleTime;
	}


	public String getMp() {
		return mp;
	}


	public void setMp(String mp) {
		this.mp = mp;
	}


	public Long getSendStatus() {
		return sendStatus;
	}


	public void setSendStatus(Long sendStatus) {
		this.sendStatus = sendStatus;
	}


	public Date getCreateTime() {
		return createTime;
	}


	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}


	public String getOrgId() {
		return orgId;
	}


	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}


	public Long getBatchNo() {
		return batchNo;
	}


	public void setBatchNo(Long batchNo) {
		this.batchNo = batchNo;
	}


	public Long getNoticeId() {
		return noticeId;
	}


	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}


	public Long getNoticeCate() {
		return noticeCate;
	}


	public void setNoticeCate(Long noticeCate) {
		this.noticeCate = noticeCate;
	}


	public Long getNoticeSource() {
		return noticeSource;
	}


	public void setNoticeSource(Long noticeSource) {
		this.noticeSource = noticeSource;
	}


	public String getNoticeTitle() {
		return noticeTitle;
	}


	public void setNoticeTitle(String noticeTitle) {
		this.noticeTitle = noticeTitle;
	}


	public String getNoticeContent() {
		return noticeContent;
	}


	public void setNoticeContent(String noticeContent) {
		this.noticeContent = noticeContent;
	}


	public String getNoticeDesc() {
		return noticeDesc;
	}


	public void setNoticeDesc(String noticeDesc) {
		this.noticeDesc = noticeDesc;
	}


	public Date getBgnTime() {
		return bgnTime;
	}


	public void setBgnTime(Date bgnTime) {
		this.bgnTime = bgnTime;
	}


	public Date getEndTime() {
		return endTime;
	}


	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}


	public String getSendUser() {
		return sendUser;
	}


	public void setSendUser(String sendUser) {
		this.sendUser = sendUser;
	}


	public Date getSendTime() {
		return sendTime;
	}


	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}


	public Long getRecvOrgan() {
		return recvOrgan;
	}


	public void setRecvOrgan(Long recvOrgan) {
		this.recvOrgan = recvOrgan;
	}


	public Long getRecvBranch() {
		return recvBranch;
	}


	public void setRecvBranch(Long recvBranch) {
		this.recvBranch = recvBranch;
	}


	public Long getRecvChannel() {
		return recvChannel;
	}


	public void setRecvChannel(Long recvChannel) {
		this.recvChannel = recvChannel;
	}


	public String getRecvUser() {
		return recvUser;
	}


	public void setRecvUser(String recvUser) {
		this.recvUser = recvUser;
	}


	public Date getRecvTime() {
		return recvTime;
	}


	public void setRecvTime(Date recvTime) {
		this.recvTime = recvTime;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	public String getOperateType() {
		return operateType;
	}


	public void setOperateType(String operateType) {
		this.operateType = operateType;
	}


	public String getRawSeqId() {
		return rawSeqId;
	}


	public void setRawSeqId(String rawSeqId) {
		this.rawSeqId = rawSeqId;
	}


	public String getSendUserCate() {
		return sendUserCate;
	}


	public void setSendUserCate(String sendUserCate) {
		this.sendUserCate = sendUserCate;
	}


	public String getRecvUserCate() {
		return recvUserCate;
	}


	public void setRecvUserCate(String recvUserCate) {
		this.recvUserCate = recvUserCate;
	}


	public Date getScheduleSendTime() {
		return scheduleSendTime;
	}


	public void setScheduleSendTime(Date scheduleSendTime) {
		this.scheduleSendTime = scheduleSendTime;
	}

	public String getSendUserName() {
		return sendUserName;
	}


	public void setSendUserName(String sendUserName) {
		this.sendUserName = sendUserName;
	}


	public String getRecvUserName() {
		return recvUserName;
	}


	public void setRecvUserName(String recvUserName) {
		this.recvUserName = recvUserName;
	}
	
/*	
	public String toJSON() {
		StringBuffer jsonBuffer = new StringBuffer("{");

		// 消息类别
		jsonBuffer.append("\"" + "NOTICE_TYPE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeType()) {
			jsonBuffer.append("\"" + getNoticeType() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 广播消息ID
		jsonBuffer.append("\"" + "NOTICE_ID" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeId()) {
			jsonBuffer.append("\"" + getNoticeId() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息类别
		jsonBuffer.append("\"" + "NOTICE_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeCate()) {
			jsonBuffer.append("\"" + getNoticeCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息来源
		jsonBuffer.append("\"" + "NOTICE_SOURCE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeSource()) {
			jsonBuffer.append("\"" + getNoticeSource() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息主题
		jsonBuffer.append("\"" + "NOTICE_TITLE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeTitle()) {
			jsonBuffer.append("\"" + getNoticeTitle() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息内容
		jsonBuffer.append("\"" + "NOTICE_CONTENT" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeContent()) {
			jsonBuffer.append("\"" + getNoticeContent() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息说明
		jsonBuffer.append("\"" + "NOTICE_DESC" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeDesc()) {
			jsonBuffer.append("\"" + getNoticeDesc() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 广播开始时间
		jsonBuffer.append("\"" + "BGN_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getBgnTime()) {
			jsonBuffer.append("\"" + getBgnTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + 0 + "\"");

		}
		jsonBuffer.append(",");

		// 广播结束时间
		jsonBuffer.append("\"" + "END_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getEndTime()) {
			jsonBuffer.append("\"" + getEndTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + 0 + "\"");
		}
		jsonBuffer.append(",");

		// 发送人员
		jsonBuffer.append("\"" + "SEND_USER" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUser()) {
			jsonBuffer.append("\"" + getSendUser() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 发送时间
		jsonBuffer.append("\"" + "SEND_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getSendTime()) {
			jsonBuffer.append("\"" + getSendTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + 0 + "\"");
		}
		jsonBuffer.append(",");

		// 接收机构
		jsonBuffer.append("\"" + "RECV_ORGAN" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvOrgan()) {
			jsonBuffer.append("\"" + getRecvOrgan() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收下属机构
		jsonBuffer.append("\"" + "RECV_BRANCH" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvBranch()) {
			jsonBuffer.append("\"" + getRecvBranch() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收渠道
		jsonBuffer.append("\"" + "RECV_CHANNEL" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvChannel()) {
			jsonBuffer.append("\"" + getRecvChannel() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收人员
		jsonBuffer.append("\"" + "RECV_USER" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvUser()) {
			jsonBuffer.append("\"" + getRecvUser() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收时间
		jsonBuffer.append("\"" + "RECV_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvTime()) {
			jsonBuffer.append("\"" + getRecvTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + 0 + "\"");
		}
		jsonBuffer.append(",");
		
		// 消息跳转字符串
		jsonBuffer.append("\"" + "REMARK" + "\"");
		jsonBuffer.append(":");
		if (null != getRemark()) {
			jsonBuffer.append("\"" + getRemark() + "\"");
		} else {
			jsonBuffer.append("\"" + 0 + "\"");
		}
		jsonBuffer.append(",");
		
		//===================================================
		//请求类型
		jsonBuffer.append("\"" + "OPERATE_TYPE" + "\"");
		jsonBuffer.append(":");
		if (null != getOperateType()) {
			jsonBuffer.append("\"" + this.getOperateType() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//发送流水
		jsonBuffer.append("\"" + "RAW_SEQ_ID" + "\"");
		jsonBuffer.append(":");
		if (null != getRawSeqId()) {
			jsonBuffer.append("\"" + this.getRawSeqId() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//发送人类型
		jsonBuffer.append("\"" + "SEND_USER_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUserCate()) {
			jsonBuffer.append("\"" + this.getSendUserCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//接收人类型
		jsonBuffer.append("\"" + "RECV_USER_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvUserCate()) {
			jsonBuffer.append("\"" + this.getRecvUserCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//指定接收时间
		jsonBuffer.append("\"" + "SCHEDULE_SEND_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getScheduleSendTime()) {
			jsonBuffer.append("\"" + this.getScheduleSendTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
//============================================================================		
		//发送人姓名
		jsonBuffer.append("\"" + "SEND_USER_NAME" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUserName()) {
			jsonBuffer.append("\"" + this.getSendUserName() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//接收人姓名
		jsonBuffer.append("\"" + "RECV_USER_NAME" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvUserName()) {
			jsonBuffer.append("\"" + this.getRecvUserName() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		
		jsonBuffer.append("}");
		return jsonBuffer.toString();
	}*/

}
