package com.cntaiping.intserv.datasync.bmodel;

import java.io.Serializable;

/**
 * 当 '当前时间T' 满足  startTime <= T < endTime 时，间隔时间为 intervalTime
 * Created at  2019/3/24 20:51
 */
public class EisNoticeIntervalBO implements Serializable {

    private static final long serialVersionUID = -4551711816818146146L;
    /**
     * 平台来源
     */
    private Long noticeSource;
    /**
     * 开始时间
     */
    private Long startTime;
    /**
     * 结束时间
     */
    private Long endTime;
    /**
     * 间隔时间
     */
    private Long intervalTime;
    /**
     * 顺序
     */
    private Integer showOrder;

    public Long getNoticeSource() {
        return noticeSource;
    }

    public void setNoticeSource(Long noticeSource) {
        this.noticeSource = noticeSource;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Long getIntervalTime() {
        return intervalTime;
    }

    public void setIntervalTime(Long intervalTime) {
        this.intervalTime = intervalTime;
    }

    public Integer getShowOrder() {
        return showOrder;
    }

    public void setShowOrder(Integer showOrder) {
        this.showOrder = showOrder;
    }

    @Override
    public String toString() {
        return "EisNoticeIntervalBO{" +
                "noticeSource=" + noticeSource +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", intervalTime=" + intervalTime +
                ", showOrder=" + showOrder +
                '}';
    }
}
