package com.cntaiping.intserv.enotice.bmodel;

import com.cntaiping.intserv.datasync.bmodel.EisNoticeBO;

import java.io.Serializable;
import java.util.Date;

/**
 * 个人消息
 * 
 * @author ZhangMingxue
 * @version 1.0
 * @time 2013上午09:53:08
 * @JDK 1.6
 */
public class EisNoticeIndivid implements Serializable {
	private static final long serialVersionUID = 2742342374780441333L;

	private Long noticeId;
	private Long noticeCate;
	private Long noticeSource;
	private String noticeTitle;
	private String noticeContent;
	private String sendUser;
	private Date sendTime;
	private String recvUser;
	private Date recvTime;
	private String remark;

	private String operateType;//请求类型 1-新建;2-撤销;3-阅读
	private String rawSeqId;//发送流水
	private String sendUserCate;//发送人类型 104-太平人寿个险代理人、内勤
	private String recvUserCate;//接收人类型 104-太平人寿个险代理人、内勤
	private Date scheduleSendTime;//指定接收时间
	
	private String sendUserName;
	private String recvUserName;
	
	private String mp;//手机号
	private Date msgScheduleTime;//指定短信提示时间
	private String msgId;//
	private String msgFlag;//Y:需要发短信提醒；N:不需要发短信
	private String orgId;//发送方机构id
	private String sms;//短信内容
	
	private Long batchNo;//消息批次号
	
	private Long sendStatus;//短信状态  0：待发送   1：已发送   2：撤销
	
	private String noticeTitleDesc;
	
	private String isHaveDetails;
	
	private String isNeedInform;//是否需要通知

	private String muid;// 用户的消息唯一识别码

	private String isNeedUpdate; // 是否需要更新

	private Long remoteNoticeId; // 消息在消息中心的id,针对于其它平台，消息中心属于远端

	private String notificationType; //前端通知类型,null-默认通知栏提醒 1-通知栏提醒，2-APP内部弹窗提醒，3-通知栏提醒+APP内部弹窗提醒

	private String noticeDesc; // 消息说明

	public String getNoticeDesc() {
		return noticeDesc;
	}

	public void setNoticeDesc(String noticeDesc) {
		this.noticeDesc = noticeDesc;
	}

	public String getNotificationType() {
		return notificationType;
	}

	public void setNotificationType(String notificationType) {
		this.notificationType = notificationType;
	}

	public Long getRemoteNoticeId() {
		return remoteNoticeId;
	}

	public void setRemoteNoticeId(Long remoteNoticeId) {
		this.remoteNoticeId = remoteNoticeId;
	}

	public String getIsNeedUpdate() {
		return isNeedUpdate;
	}

	public void setIsNeedUpdate(String isNeedUpdate) {
		this.isNeedUpdate = isNeedUpdate;
	}

	public String getMuid() {
		return muid;
	}

	public void setMuid(String muid) {
		this.muid = muid;
	}

	public String getIsNeedInform() {
		return isNeedInform;
	}

	public void setIsNeedInform(String isNeedInform) {
		this.isNeedInform = isNeedInform;
	}
	
	public String getIsHaveDetails() {
		return isHaveDetails;
	}

	public void setIsHaveDetails(String isHaveDetails) {
		this.isHaveDetails = isHaveDetails;
	}

	public String getNoticeTitleDesc() {
		return noticeTitleDesc;
	}

	public void setNoticeTitleDesc(String noticeTitleDesc) {
		this.noticeTitleDesc = noticeTitleDesc;
	}
	
	public Long getSendStatus() {
		return sendStatus;
	}

	public void setSendStatus(Long sendStatus) {
		this.sendStatus = sendStatus;
	}

	public Long getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(Long batchNo) {
		this.batchNo = batchNo;
	}

	public Long getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}

	public Long getNoticeCate() {
		return noticeCate;
	}

	public void setNoticeCate(Long noticeCate) {
		this.noticeCate = noticeCate;
	}

	public Long getNoticeSource() {
		return noticeSource;
	}

	public void setNoticeSource(Long noticeSource) {
		this.noticeSource = noticeSource;
	}

	public String getNoticeTitle() {
		return noticeTitle;
	}

	public void setNoticeTitle(String noticeTitle) {
		this.noticeTitle = noticeTitle;
	}

	public String getNoticeContent() {
		return noticeContent;
	}

	public void setNoticeContent(String noticeContent) {
		this.noticeContent = noticeContent;
	}

	public String getSendUser() {
		return sendUser;
	}

	public void setSendUser(String sendUser) {
		this.sendUser = sendUser;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getRecvUser() {
		return recvUser;
	}

	public void setRecvUser(String recvUser) {
		this.recvUser = recvUser;
	}

	public Date getRecvTime() {
		return recvTime;
	}

	public void setRecvTime(Date recvTime) {
		this.recvTime = recvTime;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	//=============================================================
	public String getOperateType() {
		return operateType;
	}

	public void setOperateType(String operateType) {
		this.operateType = operateType;
	}

	public String getRawSeqId() {
		return rawSeqId;
	}

	public void setRawSeqId(String rawSeqId) {
		this.rawSeqId = rawSeqId;
	}

	public String getSendUserCate() {
		return sendUserCate;
	}

	public void setSendUserCate(String sendUserCate) {
		this.sendUserCate = sendUserCate;
	}

	public String getRecvUserCate() {
		return recvUserCate;
	}

	public void setRecvUserCate(String recvUserCate) {
		this.recvUserCate = recvUserCate;
	}

	public Date getScheduleSendTime() {
		return scheduleSendTime;
	}

	public void setScheduleSendTime(Date scheduleSendTime) {
		this.scheduleSendTime = scheduleSendTime;
	}
	//==================================================================
	public String getSendUserName() {
		return sendUserName;
	}

	public void setSendUserName(String sendUserName) {
		this.sendUserName = sendUserName;
	}

	public String getRecvUserName() {
		return recvUserName;
	}

	public void setRecvUserName(String recvUserName) {
		this.recvUserName = recvUserName;
	}

	public String toJSON() {
		StringBuffer jsonBuffer = new StringBuffer("{");

		// 个人消息ID
		jsonBuffer.append("\"" + "NOTICE_ID" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeId()) {
			jsonBuffer.append("\"" + this.getNoticeId() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息类别
		jsonBuffer.append("\"" + "NOTICE_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeCate()) {
			jsonBuffer.append("\"" + this.getNoticeCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息来源
		jsonBuffer.append("\"" + "NOTICE_SOURCE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeSource()) {
			jsonBuffer.append("\"" + this.getNoticeSource() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息主题
		jsonBuffer.append("\"" + "NOTICE_TITLE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeTitle()) {
			jsonBuffer.append("\"" + this.getNoticeTitle() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息内容
		jsonBuffer.append("\"" + "NOTICE_CONTENT" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeContent()) {
			jsonBuffer.append("\"" + this.getNoticeContent() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 发送人员
		jsonBuffer.append("\"" + "SEND_USER" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUser()) {
			jsonBuffer.append("\"" + this.getSendUser() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 发送时间
		jsonBuffer.append("\"" + "SEND_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getSendTime()) {
			jsonBuffer.append("\"" + this.getSendTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收人员
		jsonBuffer.append("\"" + "RECV_USER" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvUser()) {
			jsonBuffer.append("\"" + this.getRecvUser() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收时间
		jsonBuffer.append("\"" + "RECV_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvTime()) {
			jsonBuffer.append("\"" + this.getRecvTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//备注
		jsonBuffer.append("\"" + "REMARK" + "\"");
		jsonBuffer.append(":");
		if (null != getRemark()) {
			jsonBuffer.append("\"" + this.getRemark() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
//========================================================		
		
		//请求类型
		jsonBuffer.append("\"" + "OPERATE_TYPE" + "\"");
		jsonBuffer.append(":");
		if (null != getOperateType()) {
			jsonBuffer.append("\"" + this.getOperateType() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//发送流水
		jsonBuffer.append("\"" + "RAW_SEQ_ID" + "\"");
		jsonBuffer.append(":");
		if (null != getRawSeqId()) {
			jsonBuffer.append("\"" + this.getRawSeqId() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//发送人类型
		jsonBuffer.append("\"" + "SEND_USER_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUserCate()) {
			jsonBuffer.append("\"" + this.getSendUserCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//接收人类型
		jsonBuffer.append("\"" + "RECV_USER_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvUserCate()) {
			jsonBuffer.append("\"" + this.getRecvUserCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//指定接收时间
		jsonBuffer.append("\"" + "SCHEDULE_SEND_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getScheduleSendTime()) {
			jsonBuffer.append("\"" + this.getScheduleSendTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

//===============================================================
		//发送人姓名
		jsonBuffer.append("\"" + "SEND_USER_NAME" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUserName()) {
			jsonBuffer.append("\"" + this.getSendUserName() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		//接收人姓名
		jsonBuffer.append("\"" + "RECV_USER_NAME" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvUserName()) {
			jsonBuffer.append("\"" + this.getRecvUserName() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		
		jsonBuffer.append("}");
		
		return jsonBuffer.toString();
	}

	public String getMp() {
		return mp;
	}

	public void setMp(String mp) {
		this.mp = mp;
	}

	public Date getMsgScheduleTime() {
		return msgScheduleTime;
	}

	public void setMsgScheduleTime(Date msgScheduleTime) {
		this.msgScheduleTime = msgScheduleTime;
	}

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	public String getMsgFlag() {
		return msgFlag;
	}

	public void setMsgFlag(String msgFlag) {
		this.msgFlag = msgFlag;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getSms() {
		return sms;
	}

	public void setSms(String sms) {
		this.sms = sms;
	}

	public EisNoticeBO toNoticeBO(){
		EisNoticeBO noticeBO = new EisNoticeBO();
		noticeBO.setNoticeId(this.noticeId);
		noticeBO.setNoticeCate(this.noticeCate);
		noticeBO.setNoticeSource(this.noticeSource);
		noticeBO.setNoticeTitle(this.noticeTitle);
		noticeBO.setNoticeContent(this.noticeContent);
		noticeBO.setSendUser(this.sendUser);
		noticeBO.setSendTime(this.sendTime);
		noticeBO.setRecvUser(this.recvUser);
		noticeBO.setRecvTime(this.recvTime);
		noticeBO.setRemark(this.remark);
		noticeBO.setOperateType(this.operateType);
		noticeBO.setRawSeqId(this.rawSeqId);
		noticeBO.setSendUserCate(this.sendUserCate);
		noticeBO.setSendUserName(this.sendUserName);
		noticeBO.setRecvUserCate(this.recvUserCate);
		noticeBO.setRecvUserName(this.recvUserName);
		noticeBO.setScheduleSendTime(this.scheduleSendTime);
		noticeBO.setBatchNo(this.batchNo);
		noticeBO.setNoticeTitleDesc(this.noticeTitleDesc);
		noticeBO.setIsHaveDetails(this.isHaveDetails);
		noticeBO.setIsNeedInform(this.isNeedInform);
		noticeBO.setMuid(this.muid);
		noticeBO.setIsNeedUpdate(this.isNeedUpdate);
		noticeBO.setNotificationType(this.notificationType);
		noticeBO.setNoticeDesc(this.noticeDesc);
		return noticeBO;
	}
}
